Subject: Re: I still use git whatchanged

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Tue, 26 Aug 2025 15:56:31 +0200

Hi

On Tue, Aug 26, 2025, at 14:42, Mira Skwar wrote:
> Hello,
>
> I just wanted to let you know that I still actively use the |git
> whatchanged| command, so I’d appreciate if it remains available.
>
> Thank you for maintaining Git!
>
> Best regards,
>
> Mira Skwar

You can replace it with `git log`:

• Given: `git whatchanged <opts>`
• Replace with: `git log <opts> --no-merges --raw`

... with some minor output caveats about empty commits (commits with
no changes).[1]

🔗 1: https://lore.kernel.org/git/[email-masked]/

-- 
Kristoffer Haugsbakk